# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.85"
name = "running-process-py"
version = "4.5.11"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "PyO3 bindings for running-process"
homepage = "https://github.com/zackees/running-process"
readme = false
license = "BSD-3-Clause"
repository = "https://github.com/zackees/running-process"

[lib]
name = "_native"
crate-type = [
    "cdylib",
    "lib",
]
path = "src/lib.rs"

[dependencies.interprocess]
version = "2"

[dependencies.libc]
version = "0.2"

[dependencies.prost]
version = "0.14"

[dependencies.pyo3]
version = "0.29"
features = ["abi3-py310"]

[dependencies.regex]
version = "1"

[dependencies.running-process]
version = "4.2.0"
features = [
    "client",
    "originator-scan",
]

[dependencies.sysinfo]
version = "0.30"

[dependencies.winapi]
version = "0.3"
features = [
    "consoleapi",
    "handleapi",
    "jobapi2",
    "processenv",
    "processthreadsapi",
    "synchapi",
    "winbase",
    "wincon",
    "winnt",
    "winuser",
]

[lints.clippy]
disallowed_methods = "deny"
